#
# spec file for package xfishtank
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfishtank
Version:        2.2
Release:        967.1
Summary:        An aquarium in the root window
License:        GPL-2.0+
Group:          Amusements/Toys/Background
Source:         %{name}-%{version}.tar.bz2
Source1:        README.KDE
Patch:          %{name}-%{version}-orig.patch
Patch1:         %{name}-%{version}-implicit_decl.patch
Patch2:         %{name}-%{version}-random_retval.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xproto)
Provides:       fishtank
Obsoletes:      fishtank

%description
A nice little aquarium with funny fish -- yet another background
screen.

%prep
%setup -q
%patch
%patch1
%patch2
install -m 0644 %{S:1} .

%build
xmkmf -a
make %{?_smp_mflags} CCOPTIONS="%optflags"

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%doc README*
%_bindir/xfishtank

%changelog
* Wed Oct 15 2014 jengelh@inai.de
- Use %%_smp_mflags for parallel build, and remove ancient
  specfile tags and sections
- Replace xorg-x11* BuildRequires by new package names
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Aug  8 2006 lmichnovic@suse.cz
- compiling with RPM_OPT_FLAGS
- fixed non void functions (random_retval.patch)
* Fri Jul 28 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 lmichnovic@suse.cz
- added missing include (implicit_decl.patch)
- repacked tarball: renamed xfishtank-2.2.orig to xfishtank-2.2, because ".orig" is not allowed string
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Dec 18 2001 vinil@suse.cz
- README.KDE added
* Wed Jun 20 2001 ro@suse.de
- use ComplexProgramTargetNoMan
* Wed Nov 29 2000 vinil@suse.cz
- renamed from fishtank to xfishtank
- source bzip2ed
* Tue Jun 20 2000 schwab@suse.de
- Fix missing declarations.
* Thu May 25 2000 vinil@suse.cz
- sorted in group
* Fri Apr  7 2000 vinil@suse.cz
- buildroot added
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Dec  9 1998 ro@suse.de
- update to 2.2 to fix segfault
